3件の投稿を表示中 - 1 - 3件目 (全3件中)
  • 投稿者
    投稿
  • #5646

    Yutaka Emura
    キーマスター

    EmEditor Professional 7.00.1 RC 8 を 公開します。主な変更点は、次の通りです。

    – GET_LINE_INFO 構造体について、何も入力されていない行(EOF行以外)で、flags に FLAG_WITH_CRLF を指定して、cch = 0 で Editor_GetLineW を実行しても NULL 文字分の 1 しか返らないなどの不具合を修正。

    http://www.emeditor.com/pub/emed7001rc8jpx.msi (32ビット)

    ポータブル版は、EmEditor インストーラを使ってインストールした後、ツール メニューのインポートとエクスポート ウィザードからも作成することができます。ただし動作速度はレジストリ使用時より遅くなります。

    新機能についての詳細は、 http://jp.emeditor.com/modules/feature1/ 、およびインストールした後、ヘルプの履歴のページをご覧ください。

    試された場合には、不具合の報告やフィードバックをこのフォーラムに投稿してくださいますよう、お願いいたします。ご協力ありがとうございます。

    ※マイナー アップデートでは、不具合修正のみを行い、新しい機能の追加は行わない予定です。

    インストール方法についての詳細は、 http://jp.emeditor.com/modules/xoopsfaq/index.php?cat_id=1#q1 をお読みください。ただし、ダウンロードは、このメッセージの上のリンクからダウンロードしてください。

    #5647

    yuki
    参加者

    いつも開発ご苦労さまです。

    先日は、修正どうもありがとうございました。
    OS側の問題まで回避して頂き本当にありがとうございます。

    度々ですみませんが、質問のようなことも含めて、2件あります。


    トレイアイコン → 最近使ったフォルダ でファイルを開くと新しくフォルダ参照した順にサブメニュー項目が更新されると思いますが、実際の参照先が違うことがあります。
    例えば、初期のメニュー項目が下記のようになっているとします。

    1 C:Item1
    2 C:Item2

    トレイアイコン → 最近使ったフォルダ → 2 C:Item2 内のファイルを開きます。
    再度、トレイアイコン → 最近使ったフォルダ →

    1 C:Item2
    2 C:Item1

    という表示に更新されていますが、1 C:Item2 を選択すると 参照先がC:Item1のままです。これ以外の履歴先もずれてしまいます。本体を終了すると正常です。


    プラグインの設定ダイアログで表示される、各プラグインのバージョン情報なのですが、7.00 ではない 6.00.* などの表示があります。
    例えば、スニペットがそうなのですが、かたやホームページ上で公開されている(プラグインソースコード)説明では、7.00であったりとします。
    ダイアログで表示されるバージョンNo.は、本体との初回公開時期、または本体の前バージョンとの互換が有効なNo.などを示すものなのでしょうか?

    よろしく、お願い致します。

    #5656

    Yutaka Emura
    キーマスター

    yukiさんは書きました:
    いつも開発ご苦労さまです。

    先日は、修正どうもありがとうございました。
    OS側の問題まで回避して頂き本当にありがとうございます。

    度々ですみませんが、質問のようなことも含めて、2件あります。


    トレイアイコン → 最近使ったフォルダ でファイルを開くと新しくフォルダ参照した順にサブメニュー項目が更新されると思いますが、実際の参照先が違うことがあります。
    例えば、初期のメニュー項目が下記のようになっているとします。

    1 C:Item1
    2 C:Item2

    トレイアイコン → 最近使ったフォルダ → 2 C:Item2 内のファイルを開きます。
    再度、トレイアイコン → 最近使ったフォルダ →

    1 C:Item2
    2 C:Item1

    という表示に更新されていますが、1 C:Item2 を選択すると 参照先がC:Item1のままです。これ以外の履歴先もずれてしまいます。本体を終了すると正常です。


    プラグインの設定ダイアログで表示される、各プラグインのバージョン情報なのですが、7.00 ではない 6.00.* などの表示があります。
    例えば、スニペットがそうなのですが、かたやホームページ上で公開されている(プラグインソースコード)説明では、7.00であったりとします。
    ダイアログで表示されるバージョンNo.は、本体との初回公開時期、または本体の前バージョンとの互換が有効なNo.などを示すものなのでしょうか?

    よろしく、お願い致します。

    RC 9 で修正、バージョン番号の統一を行います。どうもありがとうございます。

3件の投稿を表示中 - 1 - 3件目 (全3件中)

このトピックに返信するにはログインが必要です。

友達に知らせる... Tweet about this on TwitterShare on FacebookShare on Google+Email this to someone